CMSIS-DSP: matrix_utils.h File Reference

| CMSIS-DSP CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros
matrix_utils.h File Reference

## Macros

#define | ELEM(A, ROW, COL)
#define | SCALE_COL_T(T, CAST, A, ROW, v, i)
#define | SWAP_ROWS_F16(A, COL, i, j)
#define | SCALE_ROW_F16(A, COL, v, i)
#define | MAC_ROW_F16(COL, A, i, v, B, j)
#define | MAS_ROW_F16(COL, A, i, v, B, j)
#define | SCALE_COL_F16(A, ROW, v, i)
#define | SWAP_ROWS_F32(A, COL, i, j)
#define | MAC_ROW_F32(COL, A, i, v, B, j)
#define | MAS_ROW_F32(COL, A, i, v, B, j)
#define | SCALE_ROW_F32(A, COL, v, i)
#define | SWAP_COLS_F32(A, COL, i, j)
#define | SCALE_COL_F32(A, ROW, v, i)
#define | SWAP_ROWS_F64(A, COL, i, j)
#define | SWAP_COLS_F64(A, COL, i, j)
#define | SCALE_ROW_F64(A, COL, v, i)
#define | SCALE_COL_F64(A, ROW, v, i)
#define | MAC_ROW_F64(COL, A, i, v, B, j)
#define | MAS_ROW_F64(COL, A, i, v, B, j)

## Macro Definition Documentation

#define ELEM | ( |  | A,
|  |  | ROW,
|  |  | COL
| ) |  |

#define MAC_ROW_F16 | ( |  | COL,
|  |  | A,
|  |  | i,
|  |  | v,
|  |  | B,
|  |  | j
| ) |  |

#define MAC_ROW_F32 | ( |  | COL,
|  |  | A,
|  |  | i,
|  |  | v,
|  |  | B,
|  |  | j
| ) |  |

#define MAC_ROW_F64 | ( |  | COL,
|  |  | A,
|  |  | i,
|  |  | v,
|  |  | B,
|  |  | j
| ) |  |

#define MAS_ROW_F16 | ( |  | COL,
|  |  | A,
|  |  | i,
|  |  | v,
|  |  | B,
|  |  | j
| ) |  |

#define MAS_ROW_F32 | ( |  | COL,
|  |  | A,
|  |  | i,
|  |  | v,
|  |  | B,
|  |  | j
| ) |  |

#define MAS_ROW_F64 | ( |  | COL,
|  |  | A,
|  |  | i,
|  |  | v,
|  |  | B,
|  |  | j
| ) |  |

#define SCALE_COL_F16 | ( |  | A,
|  |  | ROW,
|  |  | v,
|  |  | i
| ) |  |

#define SCALE_COL_F32 | ( |  | A,
|  |  | ROW,
|  |  | v,
|  |  | i
| ) |  |

#define SCALE_COL_F64 | ( |  | A,
|  |  | ROW,
|  |  | v,
|  |  | i
| ) |  |

#define SCALE_COL_T | ( |  | T,
|  |  | CAST,
|  |  | A,
|  |  | ROW,
|  |  | v,
|  |  | i
| ) |  |

#define SCALE_ROW_F16 | ( |  | A,
|  |  | COL,
|  |  | v,
|  |  | i
| ) |  |

#define SCALE_ROW_F32 | ( |  | A,
|  |  | COL,
|  |  | v,
|  |  | i
| ) |  |

#define SCALE_ROW_F64 | ( |  | A,
|  |  | COL,
|  |  | v,
|  |  | i
| ) |  |

#define SWAP_COLS_F32 | ( |  | A,
|  |  | COL,
|  |  | i,
|  |  | j
| ) |  |

#define SWAP_COLS_F64 | ( |  | A,
|  |  | COL,
|  |  | i,
|  |  | j
| ) |  |

#define SWAP_ROWS_F16 | ( |  | A,
|  |  | COL,
|  |  | i,
|  |  | j
| ) |  |

#define SWAP_ROWS_F32 | ( |  | A,
|  |  | COL,
|  |  | i,
|  |  | j
| ) |  |

#define SWAP_ROWS_F64 | ( |  | A,
|  |  | COL,
|  |  | i,
|  |  | j
| ) |  |